当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : amd64编译安装mplayer时需要哪些Binary Codec Packages?
帖子发表于 : 2008-09-26 9:52 
头像

注册: 2007-12-19 16:39
帖子: 31
地址: 浙江
送出感谢: 0 次
接收感谢: 0 次
我用的是amd64系统,不知道编译安装mplayer时到底需哪些Binary Codec Packages?
google了一下,有篇文章叫《MPlayer 编译安装 + SMPlayer 前端 = 完美Linux播放器》,那上面说先将先将essential-20071007.tar.bz2里的文件解压至/usr/local/lib/codecs,然后再解压essential-amd64-20071007.tar.bz2,覆盖先前解压出的同名文件。
我不知道这样做的正确性,好像官方没有提供这样的方法。可是单单一个essential-amd64-20071007.tar.bz2里只有几个文件,比之essential-20071007.tar.bz2小得好多啊,如果只解压一个essential-amd64-20071007.tar.bz2,好像真的不对劲。
大家都谁用的是amd64的?你们的方法是怎样的?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: amd64编译安装mplayer时需要哪些Binary Codec Packages?
帖子发表于 : 2008-09-26 13:13 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
就是只有那几个文件,就是那么小...


_________________
HUNT Unfortunately No Talent...


页首
 用户资料  
 
3 楼 
 文章标题 : Re: amd64编译安装mplayer时需要哪些Binary Codec Packages?
帖子发表于 : 2008-09-26 14:45 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
其实我个人认为smplayer这个前端完全没有必要编译安装,apt安装不就行了么? :em20


_________________
Ubuntu User


页首
 用户资料  
 
4 楼 
 文章标题 : Re: amd64编译安装mplayer时需要哪些Binary Codec Packages?
帖子发表于 : 2008-09-27 6:10 
头像

注册: 2007-12-19 16:39
帖子: 31
地址: 浙江
送出感谢: 0 次
接收感谢: 0 次
我看网上也有些人的做法是将x86的codec packages 解压放在/usr/lib/win32下,编译时另外加上--with-win32libdir=/usr/lib/win32,把amd64这个包下的文件则解压至/usr/lib/codecs/,当然编译时也加上参数。
同样不能看出这样做的合理性,因为官方里的README文档里说/usr/lib/win32和/usr/lib/codecs/是一样的


页首
 用户资料  
 
5 楼 
 文章标题 : Re: amd64编译安装mplayer时需要哪些Binary Codec Packages?
帖子发表于 : 2008-09-27 8:54 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
mulou 写道:
我看网上也有些人的做法是将x86的codec packages 解压放在/usr/lib/win32下,编译时另外加上--with-win32libdir=/usr/lib/win32,把amd64这个包下的文件则解压至/usr/lib/codecs/,当然编译时也加上参数。
同样不能看出这样做的合理性,因为官方里的README文档里说/usr/lib/win32和/usr/lib/codecs/是一样的

/usr/lib/win32那个目录早已废弃...
不指定参数自动检测都是[prefix]/lib/codecs


_________________
HUNT Unfortunately No Talent...


页首
 用户资料  
 
6 楼 
 文章标题 : Re: amd64编译安装mplayer时需要哪些Binary Codec Packages?
帖子发表于 : 2008-09-27 14:13 

注册: 2007-09-06 16:07
帖子: 466
送出感谢: 0 次
接收感谢: 0 次
只要 essential-amd64-20071007.tar.bz2 就好。
我是64,没有编译,直接apt-get install的。
自己编译总是有些问题,比如出不了gl、gl2这些支持


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译